diff --git c/scala/collection/JavaConversions$JSetWrapper.class w/scala/collection/JavaConversions$JSetWrapper.class
index b933fdddc8..6680c8a19d 100644
--- c/scala/collection/JavaConversions$JSetWrapper.class
+++ w/scala/collection/JavaConversions$JSetWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JSetWrapper=class scala/collection/JavaConversions$JSetWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JSetWrapper extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.collection.mutable.SetLike,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JSetWrapper extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.Product,scala.Serializable{
 private final java.util.Set underlying;
   Signature: Ljava/util/Set;
 
diff --git c/scala/collection/JavaConversions$MutableBufferWrapper.class w/scala/collection/JavaConversions$MutableBufferWrapper.class
index 72b8a03845..ecfae8780a 100644
--- c/scala/collection/JavaConversions$MutableBufferWrapper.class
+++ w/scala/collection/JavaConversions$MutableBufferWrapper.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //IterableWrapperTrait=class scala/collection/JavaCon
 public abstract #= # of #; //IterableWrapperTrait$class=class scala/collection/JavaConversions$IterableWrapperTrait$class of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$MutableBufferWrapper extends java.util.AbstractList implements scala.collection.JavaConversions$IterableWrapperTrait,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$MutableBufferWrapper extends java.util.AbstractList implements scala.collection.JavaConversions$IterableWrapperTrait,scala.Product,scala.Serializable{
 private final scala.collection.mutable.Buffer underlying;
   Signature: Lscala/collection/mutable/Buffer;
 
diff --git c/scala/collection/JavaConversions$MutableMapWrapper.class w/scala/collection/JavaConversions$MutableMapWrapper.class
index 4bd156b960..cd09a988c7 100644
--- c/scala/collection/JavaConversions$MutableMapWrapper.class
+++ w/scala/collection/JavaConversions$MutableMapWrapper.class
@@ -3,7 +3,7 @@ public #= # of #; //MapWrapper=class scala/collection/JavaConversions$MapWrapper
 public #= # of #; //MutableMapWrapper=class scala/collection/JavaConversions$MutableMapWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$MutableMapWrapper extends scala.collection.JavaConversions$MapWrapper implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$MutableMapWrapper extends scala.collection.JavaConversions$MapWrapper implements scala.Product,scala.Serializable{
 private final scala.collection.mutable.Map underlying;
   Signature: Lscala/collection/mutable/Map;
 
diff --git c/scala/collection/JavaConversions$MutableSeqWrapper.class w/scala/collection/JavaConversions$MutableSeqWrapper.class
index b0a9f8103d..40a6d91578 100644
--- c/scala/collection/JavaConversions$MutableSeqWrapper.class
+++ w/scala/collection/JavaConversions$MutableSeqWrapper.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //IterableWrapperTrait=class scala/collection/JavaCon
 public abstract #= # of #; //IterableWrapperTrait$class=class scala/collection/JavaConversions$IterableWrapperTrait$class of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$MutableSeqWrapper extends java.util.AbstractList implements scala.collection.JavaConversions$IterableWrapperTrait,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$MutableSeqWrapper extends java.util.AbstractList implements scala.collection.JavaConversions$IterableWrapperTrait,scala.Product,scala.Serializable{
 private final scala.collection.mutable.Seq underlying;
   Signature: Lscala/collection/mutable/Seq;
 
diff --git c/scala/collection/JavaConversions$MutableSetWrapper.class w/scala/collection/JavaConversions$MutableSetWrapper.class
index 8f217b8cef..987c3ac0f6 100644
--- c/scala/collection/JavaConversions$MutableSetWrapper.class
+++ w/scala/collection/JavaConversions$MutableSetWrapper.class
@@ -3,7 +3,7 @@ public #= # of #; //SetWrapper=class scala/collection/JavaConversions$SetWrapper
 public #= # of #; //MutableSetWrapper=class scala/collection/JavaConversions$MutableSetWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$MutableSetWrapper extends scala.collection.JavaConversions$SetWrapper implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$MutableSetWrapper extends scala.collection.JavaConversions$SetWrapper implements scala.Product,scala.Serializable{
 private final scala.collection.mutable.Set underlying;
   Signature: Lscala/collection/mutable/Set;
 
diff --git c/scala/collection/JavaConversions$SeqWrapper.class w/scala/collection/JavaConversions$SeqWrapper.class
index e590e1e2ea..138fc0f1ae 100644
--- c/scala/collection/JavaConversions$SeqWrapper.class
+++ w/scala/collection/JavaConversions$SeqWrapper.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //IterableWrapperTrait=class scala/collection/JavaCon
 public abstract #= # of #; //IterableWrapperTrait$class=class scala/collection/JavaConversions$IterableWrapperTrait$class of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$SeqWrapper extends java.util.AbstractList implements scala.collection.JavaConversions$IterableWrapperTrait,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$SeqWrapper extends java.util.AbstractList implements scala.collection.JavaConversions$IterableWrapperTrait,scala.Product,scala.Serializable{
 private final scala.collection.Seq underlying;
   Signature: Lscala/collection/Seq;
 
diff --git c/scala/collection/LinearSeq.class w/scala/collection/LinearSeq.class
index c71b7b2060..9e5fa75ded 100644
--- c/scala/collection/LinearSeq.class
+++ w/scala/collection/LinearSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "LinearSeq.scala"
-public interface scala.collection.LinearSeq extends scala.collection.Seq,scala.collection.generic.GenericTraversableTemplate,scala.collection.LinearSeqLike,scala.ScalaObject{
+public interface scala.collection.LinearSeq extends scala.collection.Seq,scala.collection.LinearSeqLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/LinearSeqLike.class w/scala/collection/LinearSeqLike.class
index cd86be51a7..78909013cc 100644
--- c/scala/collection/LinearSeqLike.class
+++ w/scala/collection/LinearSeqLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "LinearSeqLike.scala"
-public interface scala.collection.LinearSeqLike extends scala.collection.SeqLike,scala.ScalaObject{
+public interface scala.collection.LinearSeqLike extends scala.collection.SeqLike{
 public abstract scala.collection.LinearSeq thisCollection();
   Signature: ()Lscala/collection/LinearSeq;
 
diff --git c/scala/collection/LinearSeqOptimized.class w/scala/collection/LinearSeqOptimized.class
index 69b011d92c..14336d8f8c 100644
--- c/scala/collection/LinearSeqOptimized.class
+++ w/scala/collection/LinearSeqOptimized.class
@@ -1,6 +1,6 @@
 
 Compiled from "LinearSeqOptimized.scala"
-public interface scala.collection.LinearSeqOptimized extends scala.collection.LinearSeqLike,scala.ScalaObject{
+public interface scala.collection.LinearSeqOptimized extends scala.collection.LinearSeqLike{
 public abstract boolean scala$collection$LinearSeqOptimized$$super$sameElements(scala.collection.GenIterable);
   Signature: (Lscala/collection/GenIterable;)Z
 
diff --git c/scala/collection/Map$WithDefault.class w/scala/collection/Map$WithDefault.class
index 6439e2f348..ebc660e9ed 100644
--- c/scala/collection/Map$WithDefault.class
+++ w/scala/collection/Map$WithDefault.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //WithDefault=class scala/collection/Map$WithDefault of class scala/collection/Map
 
 Compiled from "Map.scala"
-public abstract class scala.collection.Map$WithDefault extends scala.collection.AbstractMap implements scala.collection.Map,scala.ScalaObject{
+public abstract class scala.collection.Map$WithDefault extends scala.collection.AbstractMap implements scala.collection.Map{
 private final scala.collection.Map underlying;
   Signature: Lscala/collection/Map;
 
diff --git c/scala/collection/Map.class w/scala/collection/Map.class
index 01c2096dd3..48dfb3581c 100644
--- c/scala/collection/Map.class
+++ w/scala/collection/Map.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //WithDefault=class scala/collection/Map$WithDefault of class scala/collection/Map
 
 Compiled from "Map.scala"
-public interface scala.collection.Map extends scala.collection.Iterable,scala.collection.GenMap,scala.collection.MapLike,scala.ScalaObject{
+public interface scala.collection.Map extends scala.collection.Iterable,scala.collection.GenMap,scala.collection.MapLike{
 public abstract scala.collection.Map empty();
   Signature: ()Lscala/collection/Map;
 
diff --git c/scala/collection/MapLike$DefaultKeySet.class w/scala/collection/MapLike$DefaultKeySet.class
index ec16c0e273..111fe7abaa 100644
--- c/scala/collection/MapLike$DefaultKeySet.class
+++ w/scala/collection/MapLike$DefaultKeySet.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //DefaultKeySet=class scala/collection/MapLike$DefaultKeySet of class scala/collection/MapLike
 
 Compiled from "MapLike.scala"
-public class scala.collection.MapLike$DefaultKeySet extends scala.collection.AbstractSet implements scala.collection.Set,scala.ScalaObject{
+public class scala.collection.MapLike$DefaultKeySet extends scala.collection.AbstractSet implements scala.collection.Set{
 public final scala.collection.MapLike $outer;
   Signature: Lscala/collection/MapLike;
 
diff --git c/scala/collection/MapLike$DefaultValuesIterable.class w/scala/collection/MapLike$DefaultValuesIterable.class
index b341534d82..59414709a5 100644
--- c/scala/collection/MapLike$DefaultValuesIterable.class
+++ w/scala/collection/MapLike$DefaultValuesIterable.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //DefaultValuesIterable=class scala/collection/MapLike$DefaultValuesIterable of class scala/collection/MapLike
 
 Compiled from "MapLike.scala"
-public class scala.collection.MapLike$DefaultValuesIterable extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.ScalaObject{
+public class scala.collection.MapLike$DefaultValuesIterable extends scala.collection.AbstractIterable implements scala.collection.Iterable{
 public final scala.collection.MapLike $outer;
   Signature: Lscala/collection/MapLike;
 
diff --git c/scala/collection/MapLike.class w/scala/collection/MapLike.class
index 4c5d4e7e43..3fc07cdf9a 100644
--- c/scala/collection/MapLike.class
+++ w/scala/collection/MapLike.class
@@ -3,7 +3,7 @@ public #= # of #; //DefaultKeySet=class scala/collection/MapLike$DefaultKeySet o
 public #= # of #; //DefaultValuesIterable=class scala/collection/MapLike$DefaultValuesIterable of class scala/collection/MapLike
 
 Compiled from "MapLike.scala"
-public interface scala.collection.MapLike extends scala.PartialFunction,scala.collection.IterableLike,scala.collection.GenMapLike,scala.collection.generic.Subtractable,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.MapLike extends scala.PartialFunction,scala.collection.IterableLike,scala.collection.GenMapLike,scala.collection.generic.Subtractable{
 public abstract scala.collection.Map empty();
   Signature: ()Lscala/collection/Map;
 
diff --git c/scala/collection/MapProxyLike.class w/scala/collection/MapProxyLike.class
index 8b18658f13..bcf33a5e76 100644
--- c/scala/collection/MapProxyLike.class
+++ w/scala/collection/MapProxyLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "MapProxyLike.scala"
-public interface scala.collection.MapProxyLike extends scala.collection.MapLike,scala.collection.IterableProxyLike,scala.ScalaObject{
+public interface scala.collection.MapProxyLike extends scala.collection.MapLike,scala.collection.IterableProxyLike{
 public abstract scala.Option get(java.lang.Object);
   Signature: (Ljava/lang/Object;)Lscala/Option;
 
diff --git c/scala/collection/Seq.class w/scala/collection/Seq.class
index ec047a9e4b..1b5b467bbf 100644
--- c/scala/collection/Seq.class
+++ w/scala/collection/Seq.class
@@ -1,6 +1,6 @@
 
 Compiled from "Seq.scala"
-public interface scala.collection.Seq extends scala.PartialFunction,scala.collection.Iterable,scala.collection.GenSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.SeqLike,scala.ScalaObject{
+public interface scala.collection.Seq extends scala.PartialFunction,scala.collection.Iterable,scala.collection.GenSeq,scala.collection.SeqLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/SeqLike.class w/scala/collection/SeqLike.class
index b4d50fbc0e..4c2186cf8e 100644
--- c/scala/collection/SeqLike.class
+++ w/scala/collection/SeqLike.class
@@ -3,7 +3,7 @@ public #= # of #; //PermutationsItr=class scala/collection/SeqLike$PermutationsI
 public #= # of #; //CombinationsItr=class scala/collection/SeqLike$CombinationsItr of class scala/collection/SeqLike
 
 Compiled from "SeqLike.scala"
-public interface scala.collection.SeqLike extends scala.collection.IterableLike,scala.collection.GenSeqLike,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.SeqLike extends scala.collection.IterableLike,scala.collection.GenSeqLike{
 public abstract scala.collection.Seq thisCollection();
   Signature: ()Lscala/collection/Seq;
 
diff --git c/scala/collection/SeqProxyLike.class w/scala/collection/SeqProxyLike.class
index d22f2b329b..ce8c466b64 100644
--- c/scala/collection/SeqProxyLike.class
+++ w/scala/collection/SeqProxyLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SeqProxyLike.scala"
-public interface scala.collection.SeqProxyLike extends scala.collection.SeqLike,scala.collection.IterableProxyLike,scala.ScalaObject{
+public interface scala.collection.SeqProxyLike extends scala.collection.SeqLike,scala.collection.IterableProxyLike{
 public abstract int size();
   Signature: ()I
 
diff --git c/scala/collection/SeqViewLike$AbstractTransformed.class w/scala/collection/SeqViewLike$AbstractTransformed.class
index 58dba5e5c8..181b4409dd 100644
--- c/scala/collection/SeqViewLike$AbstractTransformed.class
+++ w/scala/collection/SeqViewLike$AbstractTransformed.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/GenSeqView
 public abstract #= # of #; //AbstractTransformed=class scala/collection/IterableViewLike$AbstractTransformed of class scala/collection/IterableViewLike
 
 Compiled from "SeqViewLike.scala"
-public abstract class scala.collection.SeqViewLike$AbstractTransformed extends scala.collection.IterableViewLike$AbstractTransformed implements scala.collection.SeqViewLike$Transformed,scala.ScalaObject{
+public abstract class scala.collection.SeqViewLike$AbstractTransformed extends scala.collection.IterableViewLike$AbstractTransformed implements scala.collection.SeqViewLike$Transformed{
 public final scala.collection.SeqViewLike $outer;
   Signature: Lscala/collection/SeqViewLike;
 
diff --git c/scala/collection/SeqViewLike$Transformed.class w/scala/collection/SeqViewLike$Transformed.class
index a388cd33b7..1e74288d7a 100644
--- c/scala/collection/SeqViewLike$Transformed.class
+++ w/scala/collection/SeqViewLike$Transformed.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //Transformed=class scala/collection/IterableViewLike$Transformed of class scala/collection/IterableViewLike
 
 Compiled from "SeqViewLike.scala"
-public interface scala.collection.SeqViewLike$Transformed extends scala.collection.SeqView,scala.collection.IterableViewLike$Transformed,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.SeqViewLike$Transformed extends scala.collection.SeqView,scala.collection.IterableViewLike$Transformed,scala.collection.GenSeqViewLike$Transformed{
 public abstract int length();
   Signature: ()I
 
diff --git c/scala/collection/SeqViewLike.class w/scala/collection/SeqViewLike.class
index 75623bc0d9..bdda8427ca 100644
--- c/scala/collection/SeqViewLike.class
+++ w/scala/collection/SeqViewLike.class
@@ -18,7 +18,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/SeqViewLik
 public abstract #= # of #; //AbstractTransformed=class scala/collection/SeqViewLike$AbstractTransformed of class scala/collection/SeqViewLike
 
 Compiled from "SeqViewLike.scala"
-public interface scala.collection.SeqViewLike extends scala.collection.Seq,scala.collection.SeqLike,scala.collection.IterableView,scala.collection.IterableViewLike,scala.collection.GenSeqViewLike,scala.ScalaObject{
+public interface scala.collection.SeqViewLike extends scala.collection.Seq,scala.collection.IterableView,scala.collection.GenSeqViewLike{
 
 public abstract scala.collection.SeqViewLike$Transformed newAppended(scala.collection.GenTraversable);
   Signature: (Lscala/collection/GenTraversable;)Lscala/collection/SeqViewLike$Transformed;
diff --git c/scala/collection/Set.class w/scala/collection/Set.class
index f3c66dcf2d..f5810a05d8 100644
--- c/scala/collection/Set.class
+++ w/scala/collection/Set.class
@@ -1,6 +1,6 @@
 
 Compiled from "Set.scala"
-public interface scala.collection.Set extends scala.Function1,scala.collection.Iterable,scala.collection.GenSet,scala.collection.generic.GenericSetTemplate,scala.collection.SetLike,scala.ScalaObject{
+public interface scala.collection.Set extends scala.collection.Iterable,scala.collection.GenSet,scala.collection.SetLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/SetLike.class w/scala/collection/SetLike.class
index 38adfdd23b..b37ae40f33 100644
--- c/scala/collection/SetLike.class
+++ w/scala/collection/SetLike.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //SubsetsItr=class scala/collection/SetLike$SubsetsItr of class scala/collection/SetLike
 
 Compiled from "SetLike.scala"
-public interface scala.collection.SetLike extends scala.collection.IterableLike,scala.collection.GenSetLike,scala.collection.generic.Subtractable,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.SetLike extends scala.collection.IterableLike,scala.collection.GenSetLike,scala.collection.generic.Subtractable{
 public abstract java.lang.Object scala$collection$SetLike$$super$map(scala.Function1, scala.collection.generic.CanBuildFrom);
   Signature: (Lscala/Function1;Lscala/collection/generic/CanBuildFrom;)Ljava/lang/Object;
 
diff --git c/scala/collection/SetProxyLike.class w/scala/collection/SetProxyLike.class
index 65a1cb98ba..97f348cf6f 100644
--- c/scala/collection/SetProxyLike.class
+++ w/scala/collection/SetProxyLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "SetProxyLike.scala"
-public interface scala.collection.SetProxyLike extends scala.collection.SetLike,scala.collection.IterableProxyLike,scala.ScalaObject{
+public interface scala.collection.SetProxyLike extends scala.collection.SetLike,scala.collection.IterableProxyLike{
 public abstract scala.collection.Set empty();
   Signature: ()Lscala/collection/Set;
 
diff --git c/scala/collection/SortedMap.class w/scala/collection/SortedMap.class
index 34d8a138b2..ed3370a1ec 100644
--- c/scala/collection/SortedMap.class
+++ w/scala/collection/SortedMap.class
@@ -1,6 +1,6 @@
 
 Compiled from "SortedMap.scala"
-public interface scala.collection.SortedMap extends scala.collection.Map,scala.collection.SortedMapLike,scala.ScalaObject{
+public interface scala.collection.SortedMap extends scala.collection.Map,scala.collection.SortedMapLike{
 public abstract scala.collection.SortedMap empty();
   Signature: ()Lscala/collection/SortedMap;
 
diff --git c/scala/collection/SortedMapLike$DefaultKeySortedSet.class w/scala/collection/SortedMapLike$DefaultKeySortedSet.class
index ad448d007e..dce2c5472b 100644
--- c/scala/collection/SortedMapLike$DefaultKeySortedSet.class
+++ w/scala/collection/SortedMapLike$DefaultKeySortedSet.class
@@ -3,7 +3,7 @@ public #= # of #; //DefaultKeySet=class scala/collection/MapLike$DefaultKeySet o
 public #= # of #; //DefaultKeySortedSet=class scala/collection/SortedMapLike$DefaultKeySortedSet of class scala/collection/SortedMapLike
 
 Compiled from "SortedMapLike.scala"
-public class scala.collection.SortedMapLike$DefaultKeySortedSet extends scala.collection.MapLike$DefaultKeySet implements scala.collection.SortedSet,scala.ScalaObject{
+public class scala.collection.SortedMapLike$DefaultKeySortedSet extends scala.collection.MapLike$DefaultKeySet implements scala.collection.SortedSet{
 public final scala.collection.SortedMapLike $outer;
   Signature: Lscala/collection/SortedMapLike;
 
diff --git c/scala/collection/SortedMapLike.class w/scala/collection/SortedMapLike.class
index 55fa2696e5..0a8f9fe50d 100644
--- c/scala/collection/SortedMapLike.class
+++ w/scala/collection/SortedMapLike.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //DefaultKeySortedSet=class scala/collection/SortedMapLike$DefaultKeySortedSet of class scala/collection/SortedMapLike
 
 Compiled from "SortedMapLike.scala"
-public interface scala.collection.SortedMapLike extends scala.collection.generic.Sorted,scala.collection.MapLike,scala.ScalaObject{
+public interface scala.collection.SortedMapLike extends scala.collection.generic.Sorted,scala.collection.MapLike{
 public abstract java.lang.Object firstKey();
   Signature: ()Ljava/lang/Object;
 
diff --git c/scala/collection/SortedSet.class w/scala/collection/SortedSet.class
index 7bcd115f6d..3ffcd2ae5b 100644
--- c/scala/collection/SortedSet.class
+++ w/scala/collection/SortedSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "SortedSet.scala"
-public interface scala.collection.SortedSet extends scala.collection.Set,scala.collection.SortedSetLike,scala.ScalaObject{
+public interface scala.collection.SortedSet extends scala.collection.Set,scala.collection.SortedSetLike{
 public abstract scala.collection.SortedSet empty();
   Signature: ()Lscala/collection/SortedSet;
 
diff --git c/scala/collection/SortedSetLike.class w/scala/collection/SortedSetLike.class
index 0e01950c01..3e8c3b0450 100644
--- c/scala/collection/SortedSetLike.class
+++ w/scala/collection/SortedSetLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "SortedSetLike.scala"
-public interface scala.collection.SortedSetLike extends scala.collection.generic.Sorted,scala.collection.SetLike,scala.ScalaObject{
+public interface scala.collection.SortedSetLike extends scala.collection.generic.Sorted,scala.collection.SetLike{
 public abstract boolean scala$collection$SortedSetLike$$super$subsetOf(scala.collection.GenSet);
   Signature: (Lscala/collection/GenSet;)Z
 
diff --git c/scala/collection/Traversable$.class w/scala/collection/Traversable$.class
index 3e02412abd..bd6eb1708c 100644
--- c/scala/collection/Traversable$.class
+++ w/scala/collection/Traversable$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Traversable.scala"
-public final class scala.collection.Traversable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory,scala.ScalaObject{
+public final class scala.collection.Traversable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory{
 public static final scala.collection.Traversable$ MODULE$;
   Signature: Lscala/collection/Traversable$;
 
diff --git c/scala/collection/Traversable.class w/scala/collection/Traversable.class
index 9e6e4adc48..408b99b78b 100644
--- c/scala/collection/Traversable.class
+++ w/scala/collection/Traversable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Traversable.scala"
-public interface scala.collection.Traversable extends scala.collection.TraversableLike,scala.collection.GenTraversable,scala.collection.TraversableOnce,scala.collection.generic.GenericTraversableTemplate,scala.ScalaObject{
+public interface scala.collection.Traversable extends scala.collection.TraversableLike,scala.collection.GenTraversable{
 public abstract scala.collection.Traversable scala$collection$Traversable$$super$flatten(scala.Function1);
   Signature: (Lscala/Function1;)Lscala/collection/Traversable;
 
diff --git c/scala/collection/TraversableLike.class w/scala/collection/TraversableLike.class
index d7b5cf99f5..f39837b70c 100644
--- c/scala/collection/TraversableLike.class
+++ w/scala/collection/TraversableLike.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //WithFilter=class scala/collection/TraversableLike$WithFilter of class scala/collection/TraversableLike
 
 Compiled from "TraversableLike.scala"
-public interface scala.collection.TraversableLike extends scala.collection.generic.HasNewBuilder,scala.collection.generic.FilterMonadic,scala.collection.TraversableOnce,scala.collection.GenTraversableLike,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.TraversableLike extends scala.collection.generic.HasNewBuilder,scala.collection.generic.FilterMonadic,scala.collection.TraversableOnce,scala.collection.GenTraversableLike{
 public abstract java.lang.Object repr();
   Signature: ()Ljava/lang/Object;
 
diff --git c/scala/collection/TraversableOnce.class w/scala/collection/TraversableOnce.class
index 1c16be39b1..e6f2a6eb73 100644
--- c/scala/collection/TraversableOnce.class
+++ w/scala/collection/TraversableOnce.class
@@ -5,7 +5,7 @@ public #= # of #; //FlattenOps=class scala/collection/TraversableOnce$FlattenOps
 public #= # of #; //OnceCanBuildFrom=class scala/collection/TraversableOnce$OnceCanBuildFrom of class scala/collection/TraversableOnce
 
 Compiled from "TraversableOnce.scala"
-public interface scala.collection.TraversableOnce extends scala.collection.GenTraversableOnce,scala.ScalaObject{
+public interface scala.collection.TraversableOnce extends scala.collection.GenTraversableOnce{
 public abstract void foreach(scala.Function1);
   Signature: (Lscala/Function1;)V
 
diff --git c/scala/collection/TraversableProxyLike.class w/scala/collection/TraversableProxyLike.class
index db3022efdc..cc68d1da4d 100644
--- c/scala/collection/TraversableProxyLike.class
+++ w/scala/collection/TraversableProxyLike.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "TraversableProxyLike.scala"
-public interface scala.collection.TraversableProxyLike extends scala.collection.TraversableLike,scala.Proxy,scala.ScalaObject{
+public interface scala.collection.TraversableProxyLike extends scala.collection.TraversableLike,scala.Proxy{
 public abstract scala.collection.Traversable self();
   Signature: ()Lscala/collection/Traversable;
 
diff --git c/scala/collection/TraversableView$NoBuilder.class w/scala/collection/TraversableView$NoBuilder.class
index f2707e17cf..496f6b20f8 100644
--- c/scala/collection/TraversableView$NoBuilder.class
+++ w/scala/collection/TraversableView$NoBuilder.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //NoBuilder=class scala/collection/TraversableView$NoBuilder of class scala/collection/TraversableView
 
 Compiled from "TraversableView.scala"
-public class scala.collection.TraversableView$NoBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public class scala.collection.TraversableView$NoBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 public void sizeHint(int);
   Signature: (I)V
   Code:
diff --git c/scala/collection/TraversableViewLike$AbstractTransformed.class w/scala/collection/TraversableViewLike$AbstractTransformed.class
index bf4029f4ba..bd81f65650 100644
--- c/scala/collection/TraversableViewLike$AbstractTransformed.class
+++ w/scala/collection/TraversableViewLike$AbstractTransformed.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //AbstractTransformed=class scala/collection/Traversa
 public abstract #= # of #; //Transformed$class=class scala/collection/GenTraversableViewLike$Transformed$class of class scala/collection/GenTraversableViewLike
 
 Compiled from "TraversableViewLike.scala"
-public abstract class scala.collection.TraversableViewLike$AbstractTransformed extends java.lang.Object implements scala.collection.TraversableViewLike$Transformed,scala.ScalaObject{
+public abstract class scala.collection.TraversableViewLike$AbstractTransformed extends java.lang.Object implements scala.collection.TraversableViewLike$Transformed{
 public final scala.collection.TraversableViewLike $outer;
   Signature: Lscala/collection/TraversableViewLike;
 
diff --git c/scala/collection/TraversableViewLike$Transformed.class w/scala/collection/TraversableViewLike$Transformed.class
index ee22e17d07..7879a19273 100644
--- c/scala/collection/TraversableViewLike$Transformed.class
+++ w/scala/collection/TraversableViewLike$Transformed.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Transformed=class scala/collection/TraversableViewL
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "TraversableViewLike.scala"
-public interface scala.collection.TraversableViewLike$Transformed extends scala.collection.TraversableView,scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.TraversableViewLike$Transformed extends scala.collection.TraversableView,scala.collection.GenTraversableViewLike$Transformed{
 public abstract void foreach(scala.Function1);
   Signature: (Lscala/Function1;)V
 
diff --git c/scala/collection/TraversableViewLike.class w/scala/collection/TraversableViewLike.class
index 8833d287e1..484af89d08 100644
--- c/scala/collection/TraversableViewLike.class
+++ w/scala/collection/TraversableViewLike.class
@@ -13,7 +13,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/Traversabl
 public abstract #= # of #; //AbstractTransformed=class scala/collection/TraversableViewLike$AbstractTransformed of class scala/collection/TraversableViewLike
 
 Compiled from "TraversableViewLike.scala"
-public interface scala.collection.TraversableViewLike extends scala.collection.Traversable,scala.collection.TraversableLike,scala.collection.ViewMkString,scala.collection.GenTraversableViewLike,scala.ScalaObject{
+public interface scala.collection.TraversableViewLike extends scala.collection.Traversable,scala.collection.ViewMkString,scala.collection.GenTraversableViewLike{
 public abstract scala.collection.mutable.Builder newBuilder();
   Signature: ()Lscala/collection/mutable/Builder;
 
